## gbutils 0.2-0

=== DESCRIPTION ===
Package: gbutils
Type: Package
Title: Simulation of Real and Complex Numbers and Small Programming
        Utilities
Version: 0.2-0
Date: 2016-01-05
Author: Georgi N. Boshnakov
Depends: methods
Imports: stats, utils
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Description: Simulate real and complex numbers from distributions of
       their magnitude and arguments. Optionally, the magnitudes and/or
       arguments may be fixed in almost arbitrary ways.  Small
       programming utilities: check if an object is identical to NA,
       count positional arguments in a call, set intersection of more
       than two sets, check if an argument is unnamed.
License: GPL (>= 2)
Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
        history.R
NeedsCompilation: no
Packaged: 2016-01-08 09:23:28 UTC; gb
Repository: CRAN
Date/Publication: 2016-01-08 10:53:23

## gbutils 0.2-1

=== DESCRIPTION ===
Package: gbutils
Type: Package
Title: Simulation of Real and Complex Numbers and Small Programming
        Utilities
Version: 0.2-1
Date: 2017-10-04
Author: Georgi N. Boshnakov
Depends: methods
Imports: stats, utils
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Description: Simulate real and complex numbers from distributions of their
       magnitude and arguments. Optionally, the magnitudes and/or arguments may
       be fixed in almost arbitrary ways. Plot density and distribution
       functions with automatic selection of suitable regions.  Small programming
       utilities: check if an object is identical to NA, count positional
       arguments in a call, set intersection of more than two sets, check if an
       argument is unnamed.
License: GPL (>= 2)
Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
        history.R cdf2qf.R
NeedsCompilation: no
Packaged: 2017-10-05 11:42:15 UTC; mcbssgb2
Repository: CRAN
Date/Publication: 2017-10-05 15:13:33 UTC

## gbutils 0.3-0

=== DESCRIPTION ===
Package: gbutils
Type: Package
Title: Simulation of Real and Complex Numbers and Small Programming
        Utilities
Version: 0.3-0
Date: 2018-08-12
Depends: methods
Imports: stats, utils, Rdpack (>= 0.9)
RdMacros: Rdpack
Authors@R: person(given = c("Georgi", "N."), family = "Boshnakov",
                  role = c("aut", "cre"), 
                  email = "georgi.boshnakov@manchester.ac.uk")
Description: Simulate real and complex numbers from distributions of their
       magnitude and arguments. Optionally, the magnitudes and/or arguments may
       be fixed in almost arbitrary ways. Plot density and distribution
       functions with automatic selection of suitable regions.  Small programming
       utilities: check if an object is identical to NA, count positional
       arguments in a call, set intersection of more than two sets, check if an
       argument is unnamed, compute the graph of S4 classes in packages.
URL: https://github.com/GeoBosh/gbutils
        https://geobosh.github.io/gbutils/
BugReports: https://github.com/GeoBosh/gbutils/issues
License: GPL (>= 2)
Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
        history.R cdf2qf.R S4utils.R
NeedsCompilation: no
Packaged: 2018-08-12 13:29:07 UTC; mcbssgb2
Author: Georgi N. Boshnakov [aut, cre]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2018-08-12 14:00:03 UTC

## gbutils 0.4-0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Type: Package
 Title: Simulation of Real and Complex Numbers and Small Programming
         Utilities
-Version: 0.3-0
-Date: 2018-08-12
+Version: 0.4-0
+Date: 2018-10-05
 Depends: methods
 Imports: stats, utils, Rdpack (>= 0.9)
+Suggests: classGraph, graph, Rgraphviz
 RdMacros: Rdpack
 Authors@R: person(given = c("Georgi", "N."), family = "Boshnakov",
                   role = c("aut", "cre"), 
@@ -21,11 +22,13 @@
         https://geobosh.github.io/gbutils/
 BugReports: https://github.com/GeoBosh/gbutils/issues
 License: GPL (>= 2)
+Encoding: UTF-8
 Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
-        history.R cdf2qf.R S4utils.R
+        history.R cdf2qf.R S4utils.R pseudoInverse.R
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2018-08-12 13:29:07 UTC; mcbssgb2
+Packaged: 2018-10-05 15:13:36 UTC; mcbssgb2
 Author: Georgi N. Boshnakov [aut, cre]
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2018-08-12 14:00:03 UTC
+Date/Publication: 2018-10-05 15:40:03 UTC

## gbutils 5.6.7

=== debian/changelog ===
gbutils (5.6.7-1) unstable; urgency=medium

  * Imported Upstream version 5.6.7
    - Fixes FTBFS on some archs (thanks, Tomasz Buchert)
  * Removed obsolete patches
  * Moved gnuplot in "Suggests:"

 -- Pietro Battiston <me@pietrobattiston.it>  Wed, 16 Sep 2015 14:57:41 +0200

gbutils (5.6.6-1) unstable; urgency=medium

  * Initial release (Closes: #787082)

 -- Pietro Battiston <me@pietrobattiston.it>  Mon, 15 Jun 2015 15:06:33 +0200

=== debian/control ===
Source: gbutils
Section: science
Priority: optional
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               help2man,
               libgsl0-dev,
               libmatheval-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://cafim.sssup.it/~giulio/software/gbutils/
Vcs-Git: git://anonscm.debian.org/collab-maint/gbutils.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gbutils.git

Package: gbutils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: utilities for command line econometrics
 A set of command line utilities for the manipulation and statistical analysis
 of data. These utilities read data from standard input in an ASCII format and
 print the result in ASCII format to standard output.

## gbutils 5.6.8

=== debian/changelog ===
gbutils (5.6.8-1build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 12:49:26 -0500

gbutils (5.6.8-1) unstable; urgency=medium

  * Imported Upstream version 5.6.8
    - Supports GLS 2 (Closes: #805794)
  * Updated Build-Depends to depend on libgsl-dev (thanks, Bas Couwenberg)

 -- Pietro Battiston <me@pietrobattiston.it>  Wed, 25 Nov 2015 22:53:13 +0100

=== debian/watch ===
version=3

ftp://cafed.sssup.it/packages/gbutils-(.*)\.tar\.gz debian uupdate

## gbutils 5.7.0

=== debian/changelog ===
gbutils (5.7.0-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/*: debhelper 11 and watch 4
  * d/control: drop obsolete dh-autoreconf
  * Update std-ver to 4.1.3

  [ Pietro Battiston ]
  * New upstream version 5.7.0

 -- Pietro Battiston <me@pietrobattiston.it>  Fri, 29 Dec 2017 12:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: Pietro Battiston <me@pietrobattiston.it>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                help2man,
-               libgsl0-dev,
+               libgsl-dev,
                libmatheval-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://cafim.sssup.it/~giulio/software/gbutils/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gbutils.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gbutils.git

## gbutils 5.7.1

=== debian/changelog ===
gbutils (5.7.1-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: update vcs links to salsa
  * Fix insecure-copyright-format-uri

  [ Pietro Battiston ]
  * New upstream version 5.7.1
    - Fix freeze on ARM (LP: #1752835)

 -- Pietro Battiston <me@pietrobattiston.it>  Thu, 08 Mar 2018 08:22:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                zlib1g-dev
 Standards-Version: 4.1.3
 Homepage: http://cafim.sssup.it/~giulio/software/gbutils/
-Vcs-Git: git://anonscm.debian.org/collab-maint/gbutils.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gbutils.git
+Vcs-Git: https://salsa.debian.org/debian/gbutils.git
+Vcs-Browser: https://salsa.debian.org/debian/gbutils
 
 Package: gbutils
 Architecture: any

## gbutils 6.0

=== debian/changelog ===
gbutils (6.0-1) unstable; urgency=medium

  * New upstream version 6.0

 -- Pietro Battiston <me@pietrobattiston.it>  Sat, 14 Mar 2020 20:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: gbutils
+Maintainer: Pietro Battiston <me@pietrobattiston.it>
 Section: science
 Priority: optional
-Maintainer: Pietro Battiston <me@pietrobattiston.it>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                help2man,
                libgsl-dev,
                libmatheval-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/gbutils
+Vcs-Git: https://salsa.debian.org/debian/gbutils.git
 Homepage: http://cafim.sssup.it/~giulio/software/gbutils/
-Vcs-Git: https://salsa.debian.org/debian/gbutils.git
-Vcs-Browser: https://salsa.debian.org/debian/gbutils
+Rules-Requires-Root: no
 
 Package: gbutils
 Architecture: any

=== debian/watch ===
version=4

ftp://cafed.sssup.it/packages/gbutils-(.*)\.tar\.gz debian uupdate

## gbutils 6.3

=== debian/changelog ===
gbutils (6.3-1) unstable; urgency=medium

  * Updated debian/watch to http
  * New upstream version 6.3
  * d/*: debhelper 13, replaced d/compat with Build-Depends: debhelper-compat

 -- Pietro Battiston <me@pietrobattiston.it>  Tue, 10 May 2022 08:47:12 +0200

=== debian/control ===
Source: gbutils
Section: science
Priority: optional
Maintainer: Pietro Battiston <me@pietrobattiston.it>
Build-Depends: debhelper (>= 13~),
               debhelper-compat (= 13),
               help2man,
               libgsl-dev,
               libmatheval-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: http://cafim.sssup.it/~giulio/software/gbutils/
Vcs-Git: https://salsa.debian.org/debian/gbutils.git
Vcs-Browser: https://salsa.debian.org/debian/gbutils

Package: gbutils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: utilities for command line econometrics
 A set of command line utilities for the manipulation and statistical analysis
 of data. These utilities read data from standard input in an ASCII format and
 print the result in ASCII format to standard output.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --with autoreconf

=== debian/watch ===
version=4

http://cafim.sssup.it/~giulio/software/gbutils/gbutils-(.*)\.tar\.gz
